import os
from distutils.core import setup
import setuptools

if os.environ.get('CI_COMMIT_TAG'):
    version = os.environ['CI_COMMIT_TAG']
else:
    version = os.environ['CI_JOB_ID']

setup(
    name='pyPowerTrain',
    version=version,
    packages=setuptools.find_packages(),
    url='http://far-out.biz/pyPowerTrain',
    license='',
    author='Jerome Douay',
    author_email='jerome@far-out.biz',
    description='PowerTrain calibration tools',
    install_requires=[
        'pandas',
        'numpy',
        'mdfreader'
    ]
)